Send OTP
Send OTP
Send OTP
This endpoint sends an OTP via WhatsApp or Email using a template.
POST
Send OTP
Send OTP
Use this endpoint to send an One-Time Password (OTP) to a user via WhatsApp or Email. This endpoint requires a template UUID and recipient details.Request Body
to: An object containing the recipient’s information.email: A list of recipient email addresses.whatsapp_number: A list of recipient WhatsApp numbers.
otp_channel: The channel through which the OTP should be sent (emailorwhatsapp).template_uuid: The unique identifier of the template to be used for the OTP.subject: The subject line for the OTP message.otp: The One-Time Password to send.sender: An object containing sender details.email_sender: The sender’s email address.whatsapp_sender: The sender’s WhatsApp number.
Response
The API will return a success message if the OTP is queued for sending.Authorizations
Use your API key with the 'Bearer ' prefix
Body
application/json
Example:
"a3eb7877-3d3f-4fe2-af4d-dedd54a55005"
Recipient information. Use 'email' for Email channel or 'whatsapp_number' for WhatsApp channel.
Channel for OTP. email or whatsapp.
Available options:
email, whatsapp Example:
"otp auth"
The One-Time Password to send.
Example:
808851
Sender information for email and whatsapp.